AbstractModule
Keywords: uk.ac.ic.doc.automed.matching.modules.AbstractModule,AbstractModule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.modules
Class AbstractModule

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.modules.AbstractModule

Direct Known Subclasses:
  CheckExistenceModule, DataTypeModule, ElementNameModule, NaiveBayesModule, NumberInstancesModule, PrecisionModule, StatisticsModule

public abstract class AbstractModule
extends java.lang.Object

Field Summary
`protected java.util.Hashtable` | `bidirectionalDegrees`

Constructor Summary
`AbstractModule()`

Method Summary
`SimilarSchemaElementPair[]` | `getBidirectionalDegrees()`
`static java.util.Hashtable` | `getBidirectionalDegrees(java.util.Hashtable forward, java.util.Hashtable backward)`
`SimilarSchemaElementPair` | `getBidirectionalSimilarity(SchemaElementPair p)`
`void` | `saveDegrees(java.lang.String filename)`
`void` | `setBidirectionalDegrees(java.util.Hashtable forward, java.util.Hashtable backward)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bidirectionalDegrees

    protected java.util.Hashtable bidirectionalDegrees

Constructor Detail

### AbstractModule

    public AbstractModule()

Method Detail

### setBidirectionalDegrees

    public void setBidirectionalDegrees(java.util.Hashtable forward,
                                        java.util.Hashtable backward)

### getBidirectionalDegrees

    public static java.util.Hashtable getBidirectionalDegrees(java.util.Hashtable forward,
                                                              java.util.Hashtable backward)

### getBidirectionalDegrees

    public SimilarSchemaElementPair[] getBidirectionalDegrees()

### getBidirectionalSimilarity

    public SimilarSchemaElementPair getBidirectionalSimilarity(SchemaElementPair p)

### saveDegrees

    public void saveDegrees(java.lang.String filename)
                     throws UninstantiatedException,
                            java.io.IOException

    `UninstantiatedException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD